<html lang="en">
<head>
<title>Change and delete - psgml</title>
<meta http-equiv="Content-Type" content="text/html">
<meta name="description" content="psgml">
<meta name="generator" content="makeinfo 4.8">
<link title="Top" rel="start" href="index.html#Top">
<link rel="up" href="Edit.html#Edit" title="Edit">
<link rel="prev" href="Attributes.html#Attributes" title="Attributes">
<link rel="next" href="Translating-characters-and-entities.html#Translating-characters-and-entities" title="Translating characters and entities">
<link href="http://www.gnu.org/software/texinfo/" rel="generator-home" title="Texinfo Homepage">
<meta http-equiv="Content-Style-Type" content="text/css">
<style type="text/css"><!--
  pre.display { font-family:inherit }
  pre.format  { font-family:inherit }
  pre.smalldisplay { font-family:inherit; font-size:smaller }
  pre.smallformat  { font-family:inherit; font-size:smaller }
  pre.smallexample { font-size:smaller }
  pre.smalllisp    { font-size:smaller }
  span.sc    { font-variant:small-caps }
  span.roman { font-family:serif; font-weight:normal; } 
  span.sansserif { font-family:sans-serif; font-weight:normal; } 
--></style>
</head>
<body>
<div class="node">
<p>
<a name="Change-and-delete"></a>
Next:&nbsp;<a rel="next" accesskey="n" href="Translating-characters-and-entities.html#Translating-characters-and-entities">Translating characters and entities</a>,
Previous:&nbsp;<a rel="previous" accesskey="p" href="Attributes.html#Attributes">Attributes</a>,
Up:&nbsp;<a rel="up" accesskey="u" href="Edit.html#Edit">Edit</a>
<hr>
</div>

<!-- node-name,  next,  previous,  up -->
<h3 class="section">8.7 Changing and deleting markup</h3>

     
<a name="index-C_002dc-_003d-133"></a>
<a name="index-sgml_002dchange_002delement_002dname-134"></a>
<dl><dt><kbd>C-c =</kbd><dd>Change the name of the current element (<code>sgml-change-element-name</code>). 
Tries to translate attribute specifications.  An attribute will be
translated to an attribute with the same name.  If the new element has
no attribute with the same name, the attribute will be ignored.  If
there is an attribute with the same name but different declared content,
a warning is given.

     <p>ID attributes are handled specially, an attribute with declared value ID
will always be translated to the attribute with declared value ID.

     <p><a name="index-C_002dc-C_002dk-135"></a><a name="index-sgml_002dkill_002dmarkup-136"></a><br><dt><kbd>C-c C-k</kbd><dd>Kill next tag, markup declaration or process instruction
(<code>sgml-kill-markup</code>).

     <p><a name="index-C_002dM_002dk-137"></a><a name="index-sgml_002dkill_002delement-138"></a><br><dt><kbd>C-M-k</kbd><dd>Kill the element following the cursor (<code>sgml-kill-element</code>).

     <p><a name="index-C_002dc-_002d-139"></a><a name="index-sgml_002duntag_002delement-140"></a><br><dt><kbd>C-c -</kbd><dd>Remove tags from current element (<code>sgml-untag-element</code>).

     <p><a name="index-C_002dc-_0023-141"></a><a name="index-sgml_002dmake_002dcharacter_002dreference-142"></a><br><dt><kbd>C-c #</kbd><dd>Convert character after point to a character reference
(<code>sgml-make-character-reference</code>).  If called with a numeric
argument, convert a character reference back to a normal character.

     <p><a name="index-C_002dc-C_002dq-143"></a><a name="index-sgml_002dfill_002delement-144"></a><br><dt><kbd>C-c C-q</kbd><dd>Fills an element as a paragraph (<code>sgml-fill-element</code>).  This is a
substitute for the normal <code>fill-paragraph</code>.  The command uses
heuristics to decide what should be a paragraph.

          <ol type=1 start=1>
<li>If point is in an element content, recursively fill the sub-elements. 
<li>Find the biggest element with mixed content containing point. 
<li>If the above element is mixed but contains elements with pure element
content then fill what is between the pure elements as paragraphs and
fill the pure elements recursively.
          </ol>

     <p><a name="index-sgml_002dexpand_002dall_002dshortrefs-145"></a><br><dt><kbd>M-x sgml-expand-all-shortrefs</kbd><dd>Short references to text entities are expanded to the replacement text
of the entity other short references are expanded into general entity
references.  If argument, <var>to-entity</var>, is non-<code>nil</code>, or if
called interactive with numeric prefix argument, all short references
are replaced by generally entity references.

     <p><a name="index-sgml_002dnormalize-146"></a><br><dt><kbd>M-x sgml-normalize</kbd><dd>Normalize the document in the buffer.  This will

          <ol type=1 start=1>
<li>expand short references,
<li>insert missing tags,
<li>replace minimized tags with full tags,
<li>fix attribute specification lists according to options set.
          </ol>

     <p>There is one argument, <var>to-entity</var>, with the same meaning as for
<code>sgml-expand-all-shortrefs</code>.

     <p>There is one option for the normalize command.  With its default value,
normalize may actually change the data content of some elements.  But
only by removing some white-space from the end of elements with omitted
end-tags. 
</dl>

<div class="defun">
&mdash; User Option: <b>sgml-normalize-trims</b><var><a name="index-sgml_002dnormalize_002dtrims-147"></a></var><br>
<blockquote><p>If non-nil, <code>sgml-normalize</code> will trim off white space from end of
element when adding end-tag.

        <p>Default: <code>t</code>. 
</p></blockquote></div>

<!--  -->
</body></html>

